Bug 1501227 - Update version requirement on mozprofile for mozrunner; r=davehunt
authorRaphael Pierzina <rpierzina@mozilla.com>
Wed, 24 Oct 2018 08:35:25 +0000
changeset 491082 11dac3c17f666e91972181598b47a5069e30fa74
parent 491081 765bb35eb5b9dcf5199b45401863a1948c9b714c
child 491083 1aacf5fda6cb9f6042264117b4517ba2807e3bc0
push id247
push userfmarier@mozilla.com
push dateSat, 27 Oct 2018 01:06:44 +0000
reviewersdavehunt
bugs1501227
milestone65.0a1
Bug 1501227 - Update version requirement on mozprofile for mozrunner; r=davehunt Depends on D9527 Differential Revision: https://phabricator.services.mozilla.com/D9528
testing/mozbase/mozrunner/setup.py
--- a/testing/mozbase/mozrunner/setup.py
+++ b/testing/mozbase/mozrunner/setup.py
@@ -12,17 +12,17 @@ PACKAGE_VERSION = '7.2.0'
 desc = """Reliable start/stop/configuration of Mozilla Applications (Firefox, Thunderbird, etc.)"""
 
 deps = [
     'mozdevice>=1.*',
     'mozfile>=1.2',
     'mozinfo>=0.7,<2',
     'mozlog==3.*',
     'mozprocess>=0.23,<1',
-    'mozprofile>=1.1.0,<3',
+    'mozprofile~=2.1',
     'six>=1.10.0,<2',
 ]
 
 EXTRAS_REQUIRE = {'crash': ['mozcrash >= 1.0']}
 
 
 setup(name=PACKAGE_NAME,
       version=PACKAGE_VERSION,